<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" >
<head>
    <th:block th:include="include :: header('新增手持版本升级')" />
    <th:block th:include="include :: bootstrap-fileinput-css"/>
    <th:block th:include="include :: summernote-css" />
</head>
<body class="white-bg">
    <div class="wrapper wrapper-content animated fadeInRight ibox-content">
        <form class="form-horizontal m" id="form-pda_version-add">
            <div class="form-group">    
                <label class="col-sm-3 control-label">版本号：</label>
                <div class="col-sm-8">
                    <input name="versionCode" class="form-control" type="text">
                </div>
            </div>
            <div class="form-group">    
                <label class="col-sm-3 control-label">版本名：</label>
                <div class="col-sm-8">
                    <input name="versionName" class="form-control" type="text">
                </div>
            </div>
            <div class="form-group">    
                <label class="col-sm-3 control-label">信息：</label>
                <div class="col-sm-8">
                    <input type="hidden" class="form-control" name="modifyContent">
                    <div class="summernote" id="modifyContent"></div>
                </div>
            </div>
            <div class="form-group">    
                <label class="col-sm-3 control-label">位置：</label>
                <div class="col-sm-8">
<!--                    <input type="hidden" name="downloadUrl">-->
<!--                    <div class="file-loading">-->
<!--                        <input class="form-control file-upload" id="downloadUrl" name="file" type="file">-->
                        <input id="filePath" name="filePath" class="form-control" type="file">
<!--                    </div>-->
                </div>
            </div>
        </form>
    </div>
    <th:block th:include="include :: footer" />
    <th:block th:include="include :: bootstrap-fileinput-js"/>
    <th:block th:include="include :: summernote-js" />
    <script th:inline="javascript">
        var prefix = ctx + "pda/pda_version"
        $("#form-pda_version-add").validate({
            focusCleanup: true
        });

        function submitHandler() {
            // if ($.validate.form()) {
            //     $.operate.save(prefix + "/add", $('#form-pda_version-add').serialize());
            // }
            var formData = new FormData();
            if ($('#filePath')[0].files[0] == null) {
                $.modal.alertWarning("请先选择文件路径");
                return false;
            }
            formData.append('versionCode', $("input[name='versionCode']").val());
            formData.append('versionName', $("input[name='versionName']").val());
            formData.append('modifyContent', $("input[name='modifyContent']").val());
            formData.append('file', $('#filePath')[0].files[0]);
            $.ajax({
                url: prefix + "/add",
                type: 'post',
                cache: false,
                data: formData,
                processData: false,
                contentType: false,
                dataType: "json",
                success: function(result) {
                    $.operate.successCallback(result);
                }
            });
        }

       // $(".file-upload").fileinput({
       //      uploadUrl: ctx + 'common/upload',
       //      maxFileCount: 1,
       //      autoReplace: true
       //  }).on('fileuploaded', function (event, data, previewId, index) {
       //      $("input[name='" + event.currentTarget.id + "']").val(data.response.url)
       //  }).on('fileremoved', function (event, id, index) {
       //      $("input[name='" + event.currentTarget.id + "']").val('')
       //  })

        $(function() {
            $('.summernote').summernote({
                lang: 'zh-CN',
                dialogsInBody: true,
                callbacks: {
                    onChange: function(contents, $edittable) {
                        $("input[name='" + this.id + "']").val(contents);
                    },
                    onImageUpload: function(files) {
                        var obj = this;
                    	var data = new FormData();
                    	data.append("file", files[0]);
                    	$.ajax({
                            type: "post",
                            url: ctx + "common/upload",
                    		data: data,
                    		cache: false,
                    		contentType: false,
                    		processData: false,
                    		dataType: 'json',
                    		success: function(result) {
                    		    if (result.code == web_status.SUCCESS) {
                    		        $('#' + obj.id).summernote('insertImage', result.url);
                    		    } else {
                    		        $.modal.alertError(result.msg);
                    		    }
                    		},
                    		error: function(error) {
                    		    $.modal.alertWarning("图片上传失败。");
                    		}
                    	});
                    }
                }
            });
        });
    </script>
</body>
</html>